image: node:latest
stages:
  - production

production:
  type: deploy
  stage: production
  image: ruby:latest
  script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl
    - dpl --provider=heroku --app=$APPNAME_OF_Heroku_App --api-key=$HEROKU_API_KEY # security add the heroku api to CI/CD setting
  only:
    - master  #branch name to deploy on heroku